# GeneIT

WIP project

## Setup dev env
1. Install prerequisites:
   1. docker
   2. docker-compose
   3. rust


2. Start services:
```bash
cd geneit_backend
docker-compose up
```


3. Install Diesel CLI:

```bash
sudo apt install libpq5 libpq-dev
cargo install diesel_cli --no-default-features --features postgres
```


4. Initialize database:

```bash
diesel migation run
```

> Note: You can access the database directly using this command:
> 
> ```bash
> PGPASSWORD=pass psql -h localhost -p 5432 -U user -d geneit
> ```